depends = ('ITKPyBase', 'ITKImageGrid', 'ITKFiniteDifference', 'ITKCurvatureFlow', )
templates = (
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterIVD22IVD22', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterIVD33IVD33', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterIVD44IVD44', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterIVF44IVF44', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterICVD22ICVD22', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< itk::CovariantVector< double,2 >,2 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterICVD33ICVD33', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< itk::CovariantVector< double,3 >,3 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterICVD44ICVD44', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< itk::CovariantVector< double,4 >,4 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterICVF44ICVF44', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('CurvatureAnisotropicDiffusionImageFilter', 'itk::CurvatureAnisotropicDiffusionImageFilter', 'itkCurvatureAnisotropicDiffusionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CurvatureAnisotropicDiffusionImageFilter', 'itk::CurvatureAnisotropicDiffusionImageFilter', 'itkCurvatureAnisotropicDiffusionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('CurvatureAnisotropicDiffusionImageFilter', 'itk::CurvatureAnisotropicDiffusionImageFilter', 'itkCurvatureAnisotropicDiffusionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('CurvatureAnisotropicDiffusionImageFilter', 'itk::CurvatureAnisotropicDiffusionImageFilter', 'itkCurvatureAnisotropicDiffusionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('CurvatureAnisotropicDiffusionImageFilter', 'itk::CurvatureAnisotropicDiffusionImageFilter', 'itkCurvatureAnisotropicDiffusionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('CurvatureAnisotropicDiffusionImageFilter', 'itk::CurvatureAnisotropicDiffusionImageFilter', 'itkCurvatureAnisotropicDiffusionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('GradientAnisotropicDiffusionImageFilter', 'itk::GradientAnisotropicDiffusionImageFilter', 'itkGradientAnisotropicDiffusionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GradientAnisotropicDiffusionImageFilter', 'itk::GradientAnisotropicDiffusionImageFilter', 'itkGradientAnisotropicDiffusionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GradientAnisotropicDiffusionImageFilter', 'itk::GradientAnisotropicDiffusionImageFilter', 'itkGradientAnisotropicDiffusionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('GradientAnisotropicDiffusionImageFilter', 'itk::GradientAnisotropicDiffusionImageFilter', 'itkGradientAnisotropicDiffusionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('GradientAnisotropicDiffusionImageFilter', 'itk::GradientAnisotropicDiffusionImageFilter', 'itkGradientAnisotropicDiffusionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('GradientAnisotropicDiffusionImageFilter', 'itk::GradientAnisotropicDiffusionImageFilter', 'itkGradientAnisotropicDiffusionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('VectorCurvatureAnisotropicDiffusionImageFilter', 'itk::VectorCurvatureAnisotropicDiffusionImageFilter', 'itkVectorCurvatureAnisotropicDiffusionImageFilterIVD22IVD22', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('VectorCurvatureAnisotropicDiffusionImageFilter', 'itk::VectorCurvatureAnisotropicDiffusionImageFilter', 'itkVectorCurvatureAnisotropicDiffusionImageFilterIVD33IVD33', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('VectorCurvatureAnisotropicDiffusionImageFilter', 'itk::VectorCurvatureAnisotropicDiffusionImageFilter', 'itkVectorCurvatureAnisotropicDiffusionImageFilterIVD44IVD44', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('VectorCurvatureAnisotropicDiffusionImageFilter', 'itk::VectorCurvatureAnisotropicDiffusionImageFilter', 'itkVectorCurvatureAnisotropicDiffusionImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('VectorCurvatureAnisotropicDiffusionImageFilter', 'itk::VectorCurvatureAnisotropicDiffusionImageFilter', 'itkVectorCurvatureAnisotropicDiffusionImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('VectorCurvatureAnisotropicDiffusionImageFilter', 'itk::VectorCurvatureAnisotropicDiffusionImageFilter', 'itkVectorCurvatureAnisotropicDiffusionImageFilterIVF44IVF44', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('VectorCurvatureAnisotropicDiffusionImageFilter', 'itk::VectorCurvatureAnisotropicDiffusionImageFilter', 'itkVectorCurvatureAnisotropicDiffusionImageFilterICVD22ICVD22', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< itk::CovariantVector< double,2 >,2 >'),
  ('VectorCurvatureAnisotropicDiffusionImageFilter', 'itk::VectorCurvatureAnisotropicDiffusionImageFilter', 'itkVectorCurvatureAnisotropicDiffusionImageFilterICVD33ICVD33', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< itk::CovariantVector< double,3 >,3 >'),
  ('VectorCurvatureAnisotropicDiffusionImageFilter', 'itk::VectorCurvatureAnisotropicDiffusionImageFilter', 'itkVectorCurvatureAnisotropicDiffusionImageFilterICVD44ICVD44', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< itk::CovariantVector< double,4 >,4 >'),
  ('VectorCurvatureAnisotropicDiffusionImageFilter', 'itk::VectorCurvatureAnisotropicDiffusionImageFilter', 'itkVectorCurvatureAnisotropicDiffusionImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('VectorCurvatureAnisotropicDiffusionImageFilter', 'itk::VectorCurvatureAnisotropicDiffusionImageFilter', 'itkVectorCurvatureAnisotropicDiffusionImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('VectorCurvatureAnisotropicDiffusionImageFilter', 'itk::VectorCurvatureAnisotropicDiffusionImageFilter', 'itkVectorCurvatureAnisotropicDiffusionImageFilterICVF44ICVF44', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('VectorGradientAnisotropicDiffusionImageFilter', 'itk::VectorGradientAnisotropicDiffusionImageFilter', 'itkVectorGradientAnisotropicDiffusionImageFilterIVD22IVD22', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('VectorGradientAnisotropicDiffusionImageFilter', 'itk::VectorGradientAnisotropicDiffusionImageFilter', 'itkVectorGradientAnisotropicDiffusionImageFilterIVD33IVD33', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('VectorGradientAnisotropicDiffusionImageFilter', 'itk::VectorGradientAnisotropicDiffusionImageFilter', 'itkVectorGradientAnisotropicDiffusionImageFilterIVD44IVD44', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('VectorGradientAnisotropicDiffusionImageFilter', 'itk::VectorGradientAnisotropicDiffusionImageFilter', 'itkVectorGradientAnisotropicDiffusionImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('VectorGradientAnisotropicDiffusionImageFilter', 'itk::VectorGradientAnisotropicDiffusionImageFilter', 'itkVectorGradientAnisotropicDiffusionImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('VectorGradientAnisotropicDiffusionImageFilter', 'itk::VectorGradientAnisotropicDiffusionImageFilter', 'itkVectorGradientAnisotropicDiffusionImageFilterIVF44IVF44', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('VectorGradientAnisotropicDiffusionImageFilter', 'itk::VectorGradientAnisotropicDiffusionImageFilter', 'itkVectorGradientAnisotropicDiffusionImageFilterICVD22ICVD22', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< itk::CovariantVector< double,2 >,2 >'),
  ('VectorGradientAnisotropicDiffusionImageFilter', 'itk::VectorGradientAnisotropicDiffusionImageFilter', 'itkVectorGradientAnisotropicDiffusionImageFilterICVD33ICVD33', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< itk::CovariantVector< double,3 >,3 >'),
  ('VectorGradientAnisotropicDiffusionImageFilter', 'itk::VectorGradientAnisotropicDiffusionImageFilter', 'itkVectorGradientAnisotropicDiffusionImageFilterICVD44ICVD44', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< itk::CovariantVector< double,4 >,4 >'),
  ('VectorGradientAnisotropicDiffusionImageFilter', 'itk::VectorGradientAnisotropicDiffusionImageFilter', 'itkVectorGradientAnisotropicDiffusionImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('VectorGradientAnisotropicDiffusionImageFilter', 'itk::VectorGradientAnisotropicDiffusionImageFilter', 'itkVectorGradientAnisotropicDiffusionImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('VectorGradientAnisotropicDiffusionImageFilter', 'itk::VectorGradientAnisotropicDiffusionImageFilter', 'itkVectorGradientAnisotropicDiffusionImageFilterICVF44ICVF44', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< itk::CovariantVector< float,4 >,4 >'),
)
